List an entity's forms
curl --request GET \
--url https://api.eka.care/protocol/workflow/forms \
--header 'auth: <auth>'import requests
url = "https://api.eka.care/protocol/workflow/forms"
headers = {"auth": "<auth>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {auth: '<auth>'}};
fetch('https://api.eka.care/protocol/workflow/forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eka.care/protocol/workflow/forms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"auth: <auth>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eka.care/protocol/workflow/forms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("auth", "<auth>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eka.care/protocol/workflow/forms")
.header("auth", "<auth>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eka.care/protocol/workflow/forms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["auth"] = '<auth>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": "<string>",
"bid": "<string>",
"entity_type": "ADMISSION",
"entity_id": "<string>",
"patient_id": "<string>",
"kind": "SA",
"form_id": "<string>",
"form_name": "<string>",
"status": "IN_PROGRESS",
"response_id": "<string>",
"response_url": "<string>",
"created_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"completed_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"completed_at": "2023-11-07T05:31:56Z",
"signer": {
"kind": "patient"
},
"closed_note": "<string>",
"closed_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"closed_at": "2023-11-07T05:31:56Z"
}
]
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Forms
List an entity's forms
Newest first, for one entity (entity_type + entity_id).
GET
/
protocol
/
workflow
/
forms
List an entity's forms
curl --request GET \
--url https://api.eka.care/protocol/workflow/forms \
--header 'auth: <auth>'import requests
url = "https://api.eka.care/protocol/workflow/forms"
headers = {"auth": "<auth>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {auth: '<auth>'}};
fetch('https://api.eka.care/protocol/workflow/forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eka.care/protocol/workflow/forms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"auth: <auth>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eka.care/protocol/workflow/forms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("auth", "<auth>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eka.care/protocol/workflow/forms")
.header("auth", "<auth>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eka.care/protocol/workflow/forms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["auth"] = '<auth>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": "<string>",
"bid": "<string>",
"entity_type": "ADMISSION",
"entity_id": "<string>",
"patient_id": "<string>",
"kind": "SA",
"form_id": "<string>",
"form_name": "<string>",
"status": "IN_PROGRESS",
"response_id": "<string>",
"response_url": "<string>",
"created_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"completed_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"completed_at": "2023-11-07T05:31:56Z",
"signer": {
"kind": "patient"
},
"closed_note": "<string>",
"closed_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"closed_at": "2023-11-07T05:31:56Z"
}
]
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Headers
The access token. The gateway verifies it and passes the user and the business on.
Query Parameters
Available options:
ADMISSION, APPOINTMENT, PATIENT, PRESCRIPTION Required string length:
1 - 200Was this page helpful?

